Matthew Crocker | 1 Nov 14:44 2004

Problems with courier-imap


Hello,

  I installed the most recent version of qmail-ldap 
(qmail-ldap-1.03-20040801.patch) and I'm trying to install 
courier-imap.   When I install courier-imap version 3.0.8 I get an 
error every time I try to connect.  What am I doing wrong?

spectre:~ matthewcrocker$ telnet 192.168.12.80 143
Trying 192.168.12.80...
Connected to 192.168.12.80.
Escape character is '^]'.
* BYE imaplogin expected exactly two arguments.
Connection closed by foreign host.

My qmail-imap run script looks like

[root <at> msa1 courier-imap-3.0.8.20041020]# cat 
/var/qmail/boot/qmail-imapd/run
#!/bin/sh
exec 2>&1
#
# IMAP service: this script is for courier-imap
#
QMAIL="/var/qmail"
ME="`head -1 $QMAIL/control/me`"
if [ -e $QMAIL/control/defaultdelivery ]; then
         ALIASEMPTY=`head -1 $QMAIL/control/defaultdelivery 2> /dev/null`
else
         ALIASEMPTY=`head -1 $QMAIL/control/aliasempty 2> /dev/null`
(Continue reading)

Claudio Jeker | 1 Nov 16:11 2004

Re: Problems with courier-imap

On Mon, Nov 01, 2004 at 08:44:18AM -0500, Matthew Crocker wrote:
> 
> Hello,
> 
>  I installed the most recent version of qmail-ldap 
> (qmail-ldap-1.03-20040801.patch) and I'm trying to install 
> courier-imap.   When I install courier-imap version 3.0.8 I get an 
> error every time I try to connect.  What am I doing wrong?
> 
> spectre:~ matthewcrocker$ telnet 192.168.12.80 143
> Trying 192.168.12.80...
> Connected to 192.168.12.80.
> Escape character is '^]'.
> * BYE imaplogin expected exactly two arguments.
> Connection closed by foreign host.
> 
> 
> My qmail-imap run script looks like
> 

It looks like the run script no longer works with this courier-imap
version. Until now I only used courier-imap version 2.x where this works.
So for now I would say use a version 2 courier-imap.

Probanly we will switch away from courier-imap as "prefered" imap server
for qmail-ldap and move to bincimap. Main problem is no time to test it
and get everything working nicely together.

--

-- 
:wq Claudio
(Continue reading)

Matthew Crocker | 1 Nov 16:29 2004

Re: Problems with courier-imap


Claudio,

  Thanks,  I just installed 2.2.21 and it is working perfectly now.  
I'll stay away from the 3.0 tree

Thanks again for all of the hard work you guys have put into qmail-ldap

-Matt

On Nov 1, 2004, at 10:11 AM, Claudio Jeker wrote:

> On Mon, Nov 01, 2004 at 08:44:18AM -0500, Matthew Crocker wrote:
>>
>> Hello,
>>
>>  I installed the most recent version of qmail-ldap
>> (qmail-ldap-1.03-20040801.patch) and I'm trying to install
>> courier-imap.   When I install courier-imap version 3.0.8 I get an
>> error every time I try to connect.  What am I doing wrong?
>>
>> spectre:~ matthewcrocker$ telnet 192.168.12.80 143
>> Trying 192.168.12.80...
>> Connected to 192.168.12.80.
>> Escape character is '^]'.
>> * BYE imaplogin expected exactly two arguments.
>> Connection closed by foreign host.
>>
>>
>> My qmail-imap run script looks like
(Continue reading)

Stewart Walker | 1 Nov 22:09 2004

qmail-scanner vs inter7 simscan

Redhat ES 3.1
qmail-ldap-1.03-20040401.patch
qmail-smtpd-auth-0.30.
php-ldap-4.3.2-14.ent
courier-imap-ldap-3.0.3.20040411-1.3ES
openldap-servers-2.1.22-8
openldap-2.1.22-8

Are there any opinions out there on which product would run best
with clamav. qmail-scanner or inter7 simscan?

Both need the qmail-queue patch. I found it on google in several 
places but the ones I've seen have a date of Jan 99. Any one 
aware of a more recent patch? 

Thanks.

Stewart Walker
swalker <at> caspercollege.edu

Redhat ES 3.1
qmail-ldap-1.03-20040401.patch
qmail-smtpd-auth-0.30.
php-ldap-4.3.2-14.ent
courier-imap-ldap-3.0.3.20040411-1.3ES
openldap-servers-2.1.22-8
openldap-2.1.22-8
(Continue reading)

Andreas Stollar | 1 Nov 22:53 2004
Picon

Re: qmail-scanner vs inter7 simscan

I like to run clamav via qscanq. Qscanq is written in C and is nearly 10
times faster that qmail-scanner.pl in some load tests I have run.

The qmail-queue patch is included in the qmail-ldap patch, you have to add
"-DALTQUEUE " to LDAPFLAGS in the Makefile.

Andreas

On Mon, 1 Nov 2004, Stewart Walker wrote:

> Date: Mon, 01 Nov 2004 14:09:58 -0700
> From: Stewart Walker <swalker <at> caspercollege.edu>
> To: qmail-ldap <at> qmail-ldap.org
> Subject: qmail-scanner vs inter7 simscan
>
> Redhat ES 3.1
> qmail-ldap-1.03-20040401.patch
> qmail-smtpd-auth-0.30.
> php-ldap-4.3.2-14.ent
> courier-imap-ldap-3.0.3.20040411-1.3ES
> openldap-servers-2.1.22-8
> openldap-2.1.22-8
>
> Are there any opinions out there on which product would run best
> with clamav. qmail-scanner or inter7 simscan?
>
> Both need the qmail-queue patch. I found it on google in several
> places but the ones I've seen have a date of Jan 99. Any one
> aware of a more recent patch?
>
(Continue reading)

Harindra Patel | 2 Nov 07:14 2004
Picon

how to configure qmail-ldap cluster.

Hi,
Rightnow I am running qmail ldap with imap,pop server where all mailboxes are located.  I have another same server and want to setup qmail ldap cluster between them.How to do this. what could be MX entry for that?? both server will receive mail or it will work simultaneous??
Harindra.
Alan Martins | 2 Nov 11:21 2004
Picon

RE : Mailman + qmail-ldap

Ok,

They are no change to make in ldap schemas and control files.
I chose to work with with qmail-ldap forwards.

You simply install mailman and create mailing list in web interface.

Next, you need to create an ldap entry for each mailing list command like
this :

dn: cn=tech-unsubscribe tech-unsubscribe,ou=mailing.toto.net,o=toto,c=net
objectClass: top
objectClass: person
objectClass: qmailuser
accountStatus: nopop
mailHost: mailing.toto.net
deliveryMode: program
cn: tech-unsubscribe tech-unsubscribe
sn: tech-unsubscribe tech-unsubscribe
mail: tech-unsubscribe <at> mailing.toto.net
uid: tech-unsubscribe <at> mailing.toto.net
mailMessageStore: mailing.toto.net/tech-unsubscribe
deliveryProgramPath: /usr/local/mailman/mail/mailman unsubscribe tech

you need to to this for each mailman command : admin, bounce, join, leave,
request, etc ...

The deliveryProgramPath forward your mail to mailman and they do the rest.

-----Message d'origine-----
De : Fernando Maior [mailto:fernando <at> araujo.com.br] 
Envoyé : mercredi 27 octobre 2004 18:32
À : Alan Martins
Objet : RE: Mailman + qmail-ldap

> Yes i have installed a mailman in qmail-ldap.
> What do you want to know ?

How to do it :)

For example:

1) Any changes to /var/qmail/control files,
2) Any ldap changes to schema and/or objectClasses,
3) Config file for mailman.

I would like to know about it, too, if you please.

-- 
Bye,
Fernando Maciel Souto Maior
fernando <at> araujo.com.br
http://www.araujo.com.br
+55+31 3270-5886
LPIC/1 # 31908

AVISO-------------------------------------------------------------
Esta mensagem pode conter informacao confidencial ou privilegiada.
Se voce nao for o destinatario ou a pessoa autorizada a receber
esta mensagem, nao pode usar, copiar ou divulgar as informacoes
nela contidas ou tomar qualquer acao baseada nessas informacoes.
Se voce recebeu esta mensagem por engano, favor avisar o remetente
imediatamente, respondendo o e-mail e em seguida apagando-o.
Obrigado pela cooperacao.

DISCLAIMER--------------------------------------------------------
This message may contain confidential and/or privileged information.
If you are not the addressee or authorized to receive this for the
addressee, you must not use, copy, disclose or take any action based
on any information herein. If you have received this message in
error, please advise the sender immediately by replying to this
e-mail and delete this message. Thank you for your cooperation.

------------------------------------------------------------------
This email was sent using SquirrelMail - http://squirrelmail.org

Guillermo Schimmel | 2 Nov 15:04 2004

Re: Problems with courier-imap


It would be GREAT if bincimap becomes the preferred IMAP server.

Thank you guys

g.

On Mon, 2004-11-01 at 16:11 +0100, Claudio Jeker wrote:
> On Mon, Nov 01, 2004 at 08:44:18AM -0500, Matthew Crocker wrote:
> > 
> > Hello,
> > 
> >  I installed the most recent version of qmail-ldap 
> > (qmail-ldap-1.03-20040801.patch) and I'm trying to install 
> > courier-imap.   When I install courier-imap version 3.0.8 I get an 
> > error every time I try to connect.  What am I doing wrong?
> > 
> > spectre:~ matthewcrocker$ telnet 192.168.12.80 143
> > Trying 192.168.12.80...
> > Connected to 192.168.12.80.
> > Escape character is '^]'.
> > * BYE imaplogin expected exactly two arguments.
> > Connection closed by foreign host.
> > 
> > 
> > My qmail-imap run script looks like
> > 
> 
> It looks like the run script no longer works with this courier-imap
> version. Until now I only used courier-imap version 2.x where this works.
> So for now I would say use a version 2 courier-imap.
> 
> Probanly we will switch away from courier-imap as "prefered" imap server
> for qmail-ldap and move to bincimap. Main problem is no time to test it
> and get everything working nicely together.
> 
--

-- 
Guillermo Schimmel <qmailldap <at> aconectarse.com>

Tomas Kuliavas | 2 Nov 16:41 2004
Picon
Picon

Re: Problems with courier-imap

Not that great if you need SORT and THREAD extensions or more charsets
than us-ascii.

>
> It would be GREAT if bincimap becomes the preferred IMAP server.
>
>
> Thank you guys
>
> g.
>
>
>
>
> On Mon, 2004-11-01 at 16:11 +0100, Claudio Jeker wrote:
>> On Mon, Nov 01, 2004 at 08:44:18AM -0500, Matthew Crocker wrote:
>> >
>> > Hello,
>> >
>> >  I installed the most recent version of qmail-ldap
>> > (qmail-ldap-1.03-20040801.patch) and I'm trying to install
>> > courier-imap.   When I install courier-imap version 3.0.8 I get an
>> > error every time I try to connect.  What am I doing wrong?
>> >
>> > spectre:~ matthewcrocker$ telnet 192.168.12.80 143
>> > Trying 192.168.12.80...
>> > Connected to 192.168.12.80.
>> > Escape character is '^]'.
>> > * BYE imaplogin expected exactly two arguments.
>> > Connection closed by foreign host.
>> >
>> >
>> > My qmail-imap run script looks like
>> >
>>
>> It looks like the run script no longer works with this courier-imap
>> version. Until now I only used courier-imap version 2.x where this
>> works.
>> So for now I would say use a version 2 courier-imap.
>>
>> Probanly we will switch away from courier-imap as "prefered" imap server
>> for qmail-ldap and move to bincimap. Main problem is no time to test it
>> and get everything working nicely together.
>>
> --
> Guillermo Schimmel <qmailldap <at> aconectarse.com>
>
>

--

-- 
Tomas Kuliavas
 a2ce320ac12328a352f3ed15e97a867c
 http://www.topolis.lt/sig.txt

Guillermo Schimmel | 2 Nov 18:42 2004

Re: Problems with courier-imap


Yes, you have a point there. I suppose that my IMAP usage is very
limited.

However I still prefer to sacrifice some features in order to have a
lighter, simpler, nicer (ok, that's subjetive :) ) IMAP server.

Regards

g.

On Tue, 2004-11-02 at 17:41 +0200, Tomas Kuliavas wrote:
> Not that great if you need SORT and THREAD extensions or more charsets
> than us-ascii.
> 
> >
> > It would be GREAT if bincimap becomes the preferred IMAP server.
> >
> >
> > Thank you guys
> >
> > g.
> >
> >
> >
> >
> > On Mon, 2004-11-01 at 16:11 +0100, Claudio Jeker wrote:
> >> On Mon, Nov 01, 2004 at 08:44:18AM -0500, Matthew Crocker wrote:
> >> >
> >> > Hello,
> >> >
> >> >  I installed the most recent version of qmail-ldap
> >> > (qmail-ldap-1.03-20040801.patch) and I'm trying to install
> >> > courier-imap.   When I install courier-imap version 3.0.8 I get an
> >> > error every time I try to connect.  What am I doing wrong?
> >> >
> >> > spectre:~ matthewcrocker$ telnet 192.168.12.80 143
> >> > Trying 192.168.12.80...
> >> > Connected to 192.168.12.80.
> >> > Escape character is '^]'.
> >> > * BYE imaplogin expected exactly two arguments.
> >> > Connection closed by foreign host.
> >> >
> >> >
> >> > My qmail-imap run script looks like
> >> >
> >>
> >> It looks like the run script no longer works with this courier-imap
> >> version. Until now I only used courier-imap version 2.x where this
> >> works.
> >> So for now I would say use a version 2 courier-imap.
> >>
> >> Probanly we will switch away from courier-imap as "prefered" imap server
> >> for qmail-ldap and move to bincimap. Main problem is no time to test it
> >> and get everything working nicely together.
> >>
> > --
> > Guillermo Schimmel <qmailldap <at> aconectarse.com>
> >
> >
> 
> 
--

-- 
Guillermo Schimmel <qmailldap <at> aconectarse.com>


Gmane